Get list of available Cloud Connect regions by breakout type

<Info icon="fa-light fa-lock" className="permission-callout"> <div className="permission-callout__header"><span className="permission-callout__title"><span className="permission-callout__label">Required permissions</span> <span className="fern-docs-badge small blue subtle rounded-full permission-callout__beta">Beta</span></span> <span className="permission-callout__learn-more">[Learn more](/developers/api-guidelines/permissions#how-permissions-work)</span></div> `CloudConnect.BreakoutType.Region` + `List` <div className="permission-callout__roles"><span className="permission-callout__roles-label">Roles:</span> <Badge intent="info">Administrator</Badge> <Badge intent="info">User</Badge> <Badge intent="info">Observer</Badge></div> </Info> Returns a list of regions available for use when creating new Cloud Connect breakouts of the selected breakout type. If the attachment region is peered to another one, the device breakout region will also be returned.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Path parameters

breakout_type_idintegerRequired

ID of a Cloud Connect breakout type. Possible values can be retrieved with GET /api/v1/cnc/breakout_type.

Response

Success
attachment_regionstringOptional
The region the customer's attachment will reside in
device_breakout_regionstringOptional
The region the traffic will be peered to

Errors

403
Forbidden Error